DOM Level 3 API: Interface ASContentModel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASContentModel

All Superinterfaces:
  ASObject

Deprecated. The content model of a declared element.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface ASContentModel
extends ASObject

Field Summary
`static short` | `AS_ALL` Deprecated. All of the above.
`static short` | `AS_CHOICE` Deprecated. This constant value signifies a choice operator.
`static short` | `AS_NONE` Deprecated. None of the above, i.e., neither a choice nor sequence operator.
`static short` | `AS_SEQUENCE` Deprecated. This constant value signifies a sequence operator.
`static int` | `AS_UNBOUNDED` Deprecated. Signifies unbounded upper limit.

Fields inherited from interface org.apache.xerces.dom3.as.ASObject
`AS_ATTRIBUTE_DECLARATION, AS_CONTENTMODEL, AS_ELEMENT_DECLARATION, AS_ENTITY_DECLARATION, AS_MODEL, AS_NOTATION_DECLARATION`

Method Summary
`int` | `appendsubModel(ASObject newNode)` Deprecated. Appends a new node to the end of the list representing the `subModels`.
`short` | `getListOperator()` Deprecated. One of `AS_CHOICE`, `AS_SEQUENCE`, `AS_ALL` or `AS_NONE`.
`int` | `getMaxOccurs()` Deprecated. maximum occurrence for this content particle.
`int` | `getMinOccurs()` Deprecated. min occurrence for this content particle.
`ASObjectList` | `getSubModels()` Deprecated. Pointers to `ASObject`s such as `ASElementDeclaration`s and further `ASContentModel`s.
`void` | `insertsubModel(ASObject newNode)` Deprecated. Inserts a new node in the submodel.
`void` | `removesubModel(ASObject oldNode)` Deprecated. Removes the `ASObject` in the submodel.
`void` | `setListOperator(short listOperator)` Deprecated. One of `AS_CHOICE`, `AS_SEQUENCE`, `AS_ALL` or `AS_NONE`.
`void` | `setMaxOccurs(int maxOccurs)` Deprecated. maximum occurrence for this content particle.
`void` | `setMinOccurs(int minOccurs)` Deprecated. min occurrence for this content particle.
`void` | `setSubModels(ASObjectList subModels)` Deprecated. Pointers to `ASObject`s such as `ASElementDeclaration`s and further `ASContentModel`s.

Methods inherited from interface org.apache.xerces.dom3.as.ASObject
`cloneASObject, getAsNodeType, getLocalName, getNamespaceURI, getNodeName, getOwnerASModel, getPrefix, setLocalName, setNamespaceURI, setNodeName, setOwnerASModel, setPrefix`

Field Detail

### AS_UNBOUNDED

    public static final int AS_UNBOUNDED

  Deprecated.
  Signifies unbounded upper limit. The MAX_VALUE value is `0xFFFFFFFF FFFFFFFF`. This needs to be better defined in the generated bindings.

### AS_SEQUENCE

    public static final short AS_SEQUENCE

  Deprecated.
  This constant value signifies a sequence operator. For example, in a DTD, this would be the '`,`' operator.

### AS_CHOICE

    public static final short AS_CHOICE

  Deprecated.
  This constant value signifies a choice operator. For example, in a DTD, this would be the '`|`' operator.

### AS_ALL

    public static final short AS_ALL

  Deprecated.
  All of the above.

### AS_NONE

    public static final short AS_NONE

  Deprecated.
  None of the above, i.e., neither a choice nor sequence operator.

Method Detail

### getListOperator

    public short getListOperator()

  Deprecated.
  One of `AS_CHOICE`, `AS_SEQUENCE`, `AS_ALL` or `AS_NONE`. The operator is applied to all the components(ASObjects) in the `subModels`. For example, if the list operator is `AS_CHOICE` and the components in subModels are a, b and c then the abstract schema for the element being declared is `(a|b|c)`.

### setListOperator

    public void setListOperator(short listOperator)

  Deprecated.
  One of `AS_CHOICE`, `AS_SEQUENCE`, `AS_ALL` or `AS_NONE`. The operator is applied to all the components(ASObjects) in the `subModels`. For example, if the list operator is `AS_CHOICE` and the components in subModels are a, b and c then the abstract schema for the element being declared is `(a|b|c)`.

### getMinOccurs

    public int getMinOccurs()

  Deprecated.
  min occurrence for this content particle. Its value may be 0 or a positive integer.

### setMinOccurs

    public void setMinOccurs(int minOccurs)

  Deprecated.
  min occurrence for this content particle. Its value may be 0 or a positive integer.

### getMaxOccurs

    public int getMaxOccurs()

  Deprecated.
  maximum occurrence for this content particle. Its value may be `0`, a positive integer, or `AS_UNBOUNDED` to indicate that no upper limit has been set.

### setMaxOccurs

    public void setMaxOccurs(int maxOccurs)

  Deprecated.
  maximum occurrence for this content particle. Its value may be `0`, a positive integer, or `AS_UNBOUNDED` to indicate that no upper limit has been set.

### getSubModels

    public ASObjectList getSubModels()

  Deprecated.
  Pointers to `ASObject`s such as `ASElementDeclaration`s and further `ASContentModel`s.

### setSubModels

    public void setSubModels(ASObjectList subModels)

  Deprecated.
  Pointers to `ASObject`s such as `ASElementDeclaration`s and further `ASContentModel`s.

### removesubModel

    public void removesubModel(ASObject oldNode)

  Deprecated.
  Removes the `ASObject` in the submodel. Nodes that already exist in the list are moved as needed.
  Parameters:
    `oldNode` - The node to be removed.

### insertsubModel

    public void insertsubModel(ASObject newNode)
                        throws DOMASException

  Deprecated.
  Inserts a new node in the submodel. Nodes that already exist in the list are moved as needed.
  Parameters:
    `newNode` - The new node to be inserted.
  Throws:
    `DOMASException` - `DUPLICATE_NAME_ERR`: Raised if a element declaration already exists with the same name within an `AS_CHOICE` operator.

### appendsubModel

    public int appendsubModel(ASObject newNode)
                       throws DOMASException

  Deprecated.
  Appends a new node to the end of the list representing the `subModels`.
  Parameters:
    `newNode` - The new node to be appended.
  Returns:
    the length of the `subModels`.
  Throws:
    `DOMASException` - `DUPLICATE_NAME_ERR`: Raised if a element declaration already exists with the same name within an `AS_CHOICE` operator.
    `TYPE_ERR`: Raised if type is neither an `ASContentModel` nor an `ASElementDeclaration` .

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.